#include <iostream>

using namespace std;

int main()
{
    string A;
    bool check=true;
    cin >> A;
    for(long long i=(int)A.size()-1;i>=0;i--)
    {
        if(A[i]!='0')
        {
            check=false;
        }
        if(A[i]=='0' && check==true)
        {
            check=true;
        }
        else if(A[i]=='2')
        {
            cout << '5';
        }
        else if(A[i]=='5')
        {
            cout << '2';
        }
        else
        {
            cout << A[i];
        }
    }
    return 0;
}
